Video API, REST: StreamLine.List
Lists all stream lines in a specific channel with pagination support.
Results can be filtered and sorted using the provided parameters.
HTTP request
GET https://video.api.cloud.yandex.net/video/v1/streamLines
Query parameters
|
Field |
Description |
|
channelId |
string Required field. ID of the channel containing the stream lines to list. The maximum string length in characters is 50. |
|
pageSize |
string (int64) The maximum number of stream lines to return per page. The maximum value is 100. |
|
pageToken |
string Page token for retrieving the next page of results. The maximum string length in characters is 15000. |
|
orderBy |
string Specifies the ordering of results. The maximum string length in characters is 50. |
|
filter |
string Filter expression to narrow down the list of returned stream lines. Supported logical operators: ["AND", "OR"]. Example: Filterable fields: ["id", "title"]. The maximum string length in characters is 1000. |
Response
HTTP Code: 200 - OK
{
"streamLines": [
{
"id": "string",
"channelId": "string",
"title": "string",
"inputSource": "string",
// Includes only one of the fields `rtmpPush`, `srtPush`, `rtmpPull`, `srtPull`
"rtmpPush": {
"url": "string",
"backupUrl": "string"
},
"srtPush": {
"url": "string",
"backupUrl": "string"
},
"rtmpPull": {
"url": "string",
"backupUrl": "string"
},
"srtPull": {
"url": "string",
"backupUrl": "string"
},
// end of the list of possible fields
// Includes only one of the fields `manualLine`, `autoLine`
"manualLine": "object",
"autoLine": {
"status": "string"
},
// end of the list of possible fields
"processingSettings": {
"summarization": {
"enable": "boolean",
"tracks": [
{
"trackIndex": "string",
"srcLang": "string"
}
]
},
"translation": {
"enable": "boolean",
"tracks": [
{
"inputTrack": {
"trackIndex": "string",
"srcLang": "string"
},
"subtitles": [
{
"dstLang": "string"
}
],
"audios": [
{
"dstLang": "string"
}
]
}
]
}
},
"createdAt": "string",
"updatedAt": "string",
"labels": "object"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
streamLines[] |
List of stream lines matching the request criteria. |
|
nextPageToken |
string Token for retrieving the next page of results. |
StreamLine
Entity representing the incoming video signal settings.
|
Field |
Description |
|
id |
string ID of the line. |
|
channelId |
string ID of the channel to which this stream line belongs. |
|
title |
string Title of the stream line. |
|
inputSource |
enum (LineInputSource) Specifies which input source (main or backup) is currently active.
|
|
rtmpPush |
Real-Time Messaging Protocol (RTMP) push input type. Includes only one of the fields Specifies the input type and settings for the video signal source. |
|
srtPush |
Secure Reliable Transport (SRT) push input type. Includes only one of the fields Specifies the input type and settings for the video signal source. |
|
rtmpPull |
Real-Time Messaging Protocol (RTMP) pull input type. Includes only one of the fields Specifies the input type and settings for the video signal source. |
|
srtPull |
Secure Reliable Transport (SRT) pull input type. Includes only one of the fields Specifies the input type and settings for the video signal source. |
|
manualLine |
object Manual stream control. Includes only one of the fields Specifies the control type of the stream line. |
|
autoLine |
Automatic stream control. Includes only one of the fields Specifies the control type of the stream line. |
|
processingSettings |
Processing settings. |
|
createdAt |
string (date-time) Timestamp when the stream line was initially created in the system. String in RFC3339 To work with values in this field, use the APIs described in the |
|
updatedAt |
string (date-time) Timestamp of the last modification to the stream line or its metadata. String in RFC3339 To work with values in this field, use the APIs described in the |
|
labels |
object (map<string, string>) Custom user-defined labels as |
RTMPPushInput
Settings for an RTMP (Real-Time Messaging Protocol) push input.
Used when the video stream is pushed to an RTMP server.
@see https://en.wikipedia.org/wiki/Real-Time_Messaging_Protocol
|
Field |
Description |
|
url |
string RTMP server url. |
|
backupUrl |
string RTMP server URL for the signal identified by the backup stream key. |
SRTPushInput
Settings for an SRT (Secure Reliable Transport) push input.
Used when the video stream is pushed to an SRT server.
@see https://en.wikipedia.org/wiki/Secure_Reliable_Transport
|
Field |
Description |
|
url |
string SRT server url. |
|
backupUrl |
string SRT server URL for the signal identified by the backup stream key. |
RTMPPullInput
Settings for an RTMP pull input.
Used when the service pulls the video stream from an RTMP source.
@see https://en.wikipedia.org/wiki/Real-Time_Messaging_Protocol
|
Field |
Description |
|
url |
string RTMP url for receiving video signal. |
|
backupUrl |
string Backup RTMP url (optional). |
SRTPullInput
Settings for an SRT pull input.
Used when the service pulls the video stream from an SRT source.
@see https://en.wikipedia.org/wiki/Secure_Reliable_Transport
|
Field |
Description |
|
url |
string SRT url for receiving video signal. |
|
backupUrl |
string Backup SRT url (optional). |
AutoLine
Represents an automatic line type where the stream control is handled automatically.
|
Field |
Description |
|
status |
enum (AutoLineStatus) The status of the automatic line.
|
StreamLineProcessingSettings
|
Field |
Description |
|
summarization |
Settings for stream line summarization. |
|
translation |
Settings for stream line translation. |
Summarization
|
Field |
Description |
|
enable |
boolean Enable line summarization. |
|
tracks[] |
Input tracks. |
InputTrack
|
Field |
Description |
|
trackIndex |
string (int64) Input audio track index (one-based). The minimum value is 1. |
|
srcLang |
string Source track language represented as a three-letter code according to ISO 639-2/T. Value must match the regular expression |
Translation
|
Field |
Description |
|
enable |
boolean Enable line translation. |
|
tracks[] |
Input tracks. |
TranslationTrack
|
Field |
Description |
|
inputTrack |
Required field. Input track settings. |
|
subtitles[] |
Settings for target subtitle tracks. |
|
audios[] |
Settings for target audio tracks. |
SubtitleTrack
|
Field |
Description |
|
dstLang |
string Required field. Language of subtitles represented as a three-letter code according to ISO 639-2/T. Value must match the regular expression |
AudioTrack
|
Field |
Description |
|
dstLang |
string Required field. Target language represented as a three-letter code according to ISO 639-2/T. Value must match the regular expression |